library(tidyverse)
rWSBIM2122::prepare_shell()

samples <- list.files("wsbim2122_data/count_data/", pattern = "*tsv.gz")

counts <- read_tsv(file = paste0("wsbim2122_data/count_data/", samples[1])) %>%  
  select(ends_with('.bam'))

for (sample in samples[-1]){
  tmp <- read_tsv(file = paste0("wsbim2122_data/count_data/", sample)) %>% 
    select(ends_with('.bam'))
  counts <- cbind(counts, tmp)
}
names(counts) <- sub(pattern = ".bam$", '', names(counts))
names(counts) <- sub(pattern = '../processed_data/bam/', '', names(counts))

Geneids <- read_tsv(file = paste0("wsbim2122_data/count_data/", samples[1])) %>%  
  dplyr::select(Geneid)
rownames(counts) <- Geneids$Geneid


